FreeMat

- Main Page
- Related Pages

vtkLineSource

Section: Visualization Toolkit Graphics Classes

# Usage

vtkLineSource is a source object that creates a polyline defined by two endpoints. The number of segments composing the polyline is controlled by setting the object resolution.

To create an instance of class vtkLineSource, simply invoke its constructor as follows

      obj = vtkLineSource

# Methods

The class vtkLineSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLineSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLineSource = obj.NewInstance ()`
- `vtkLineSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetPoint1 (double , double , double )` - Set position of first end point.
- `obj.SetPoint1 (double a[3])` - Set position of first end point.
- `double = obj. GetPoint1 ()` - Set position of first end point.
- `obj.SetPoint2 (double , double , double )` - Set position of other end point.
- `obj.SetPoint2 (double a[3])` - Set position of other end point.
- `double = obj. GetPoint2 ()` - Set position of other end point.
- `obj.SetResolution (int )` - Divide line into resolution number of pieces.
- `int = obj.GetResolutionMinValue ()` - Divide line into resolution number of pieces.
- `int = obj.GetResolutionMaxValue ()` - Divide line into resolution number of pieces.
- `int = obj.GetResolution ()` - Divide line into resolution number of pieces.